Package org.springframework.core

# Class Constants.ConstantException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
java.lang.IllegalArgumentException
org.springframework.core.Constants.ConstantException

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  Constants

public static class Constants.ConstantException extends IllegalArgumentException
Exception thrown when the `Constants` class is asked for an invalid constant name.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ConstantException(String className, String namePrefix, Object value)`
Thrown when an invalid constant value is looked up.
`ConstantException(String className, String field, String message)`
Thrown when an invalid constant name is requested.

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ConstantException

public ConstantException(String className, String field, String message)
Thrown when an invalid constant name is requested.

Parameters:
  `className` - name of the class containing the constant definitions
  `field` - invalid constant name
  `message` - description of the problem

### ConstantException

public ConstantException(String className, String namePrefix, Object value)
Thrown when an invalid constant value is looked up.

Parameters:
  `className` - name of the class containing the constant definitions
  `namePrefix` - prefix of the searched constant names
  `value` - the looked up constant value